<?php

/*
Plugin Name: NT Blue Shortcodes
Plugin URI: http://themeforest.net/user/Ninetheme
Description: Shortcodes for Ninetheme WordPress Themes - nt-blue Version
Version: 1.1.4
Author: Ninetheme
Author URI: http://themeforest.net/user/Ninetheme
*/


// image resizer
require_once plugin_dir_path(__FILE__) . 'aq_resizer.php';

// plugin version number for body classes
 function blue_plugin_version_class_names($classes) {

  $nt_blue_plugin_data = get_plugin_data( __FILE__ );
  $nt_blue_plugin_version = $nt_blue_plugin_data['Version'];

  $nt_blue_theme_plugin_version =  'ninetheme-shortcode-plugin-version-' . $nt_blue_plugin_version;

  $classes[] =  $nt_blue_theme_plugin_version;

  return $classes;
 }


if ( ! function_exists( 'nt_blue_vc_row' ) ) {
    function nt_blue_vc_row( $vc_id ) {

        return $vc_id;
    }
}


/*************************************************
## Word Limiter
*************************************************/
function nt_blue_limit_words($string, $limit) {
	$words = explode(' ', $string);
	return implode(' ', array_slice($words, 0, $limit));
}


//Image information for any pictures.
		// Gets url of the image
			//$image_attributes = wp_get_attachment_image_src( $flag_image_id );
		// Gets the Image Alt
			//$image_alt = get_post_meta($flag_image_id, '_wp_attachment_image_alt', true);
		// Gets the image name with exstention
			//$image_filename = basename ( get_attached_file( $flag_image_id ) );
		// Gets the image name without exstention
			//$image_title = get_the_title( $flag_image_id );


//element animation if have it
if ( ! function_exists( 'nt_blue_animation' ) ) {
    function nt_blue_animation( $animation ) {

			if ( $animation !='' ) {
				$animation = ' wow '.$animation.'';
			}
			else{ $animation = ''; }
        return $animation;
    }
}


//text font-size and color for custom style
if ( ! function_exists( 'nt_blue_element' ) ) {
    function nt_blue_element( $bluedata='', $tag='', $class='', $lineh='', $size='', $color='' , $itemanim='', $animdly='') {

		if ( ( isset( $bluedata ) ) && ( $bluedata != '' ) ) {

			$nt_blue_allowed_tags = array(
				'span' 	 => array(
					'class'		=> array(),
					'id'		=> array(),
				),
				'i' 	 => array(
					'class'		=> array(),
				),
				'mark' 	 => array(),
				'p' 	 => array(
					'class'		=> array(),
				),
				'br' 	 => array(),
				'strong' => array(),
				'a' 	 => array(
					'href'  	=> array(),
					'class'		=> array(),
					'title' 	=> array()
				)
			);
			$bluedata = wp_kses( $bluedata, $nt_blue_allowed_tags );

			$el_tag 	= ( isset( $tag    ) && $tag  	!= '' ) ? esc_attr( $tag ) 							: '';
			$item_anim 	= ( isset( $itemanim  ) && $itemanim  != '' ) ? ' wow '.esc_attr( $itemanim ).'' 	: '';
			$anim_dly 	= ( isset( $itemanim  ) && $itemanim  != '' ) ? ' data-wow-delay="'.$animdly.'s"' 	: '';
			$el_class 	= ( isset( $class  ) && $class  != '' ) ? ' class="'.esc_attr( $class ).''.$item_anim.'"'.$anim_dly .'' : '';
			$lineheight = ( isset( $lineh  ) && $lineh  != '' ) ? ' line-height:'.esc_attr( $lineh ).'px;' 	: '';
			$fontsize 	= ( isset( $size  ) && $size  != '' ) ? ' font-size:'.esc_attr( $size ).'px;' 	: '';
			$fontcolor 	= ( isset( $color  ) && $color  != '' ) ? ' color:'.esc_attr( $color ).';' 			: '';

			if ( $fontsize != '' || $fontcolor != '' || $lineheight != '' ){

				$style = ' style="'.$fontsize.''.$fontcolor.''.$lineheight.'"';

			}else{
				$style = '';
			}

			if ( $el_tag != '' || $el_class != '' ){

				$element = '<'.$el_tag.''.$el_class.''.$style.'>'.$bluedata.'</'.$el_tag.'>';

			}
			else{ $element = '';}
		}else{
			return false;
		}
        return $element;
    }
}
//text font-size and color for custom style
if ( ! function_exists( 'nt_blue_icon' ) ) {
    function nt_blue_icon( $iconclass='', $iconsize='', $iconcolor='' ) {

		if ( ( isset( $iconclass  ) ) && ( $iconclass  != '' ) ){

			$icon_class = ( isset( $iconclass  ) && $iconclass  != '' ) ? ' class="'.esc_attr( $iconclass ).'"' 		: '';
			$icon_size 	= ( isset( $iconsize   ) && $iconsize   != '' ) ? ' font-size:'.esc_attr( $iconsize ).'px;' 	: '';
			$icon_color = ( isset( $iconcolor  ) && $iconcolor  != '' ) ? ' color:'.esc_attr( $iconcolor ).';' 			: '';

			if ( $icon_size != '' || $icon_color != '' ){

				$iconstyle = ' style="'.$icon_size.''.$icon_color.'"';

			}else{
				$iconstyle = '';
			}

			$blue_icon = '<i'.$icon_class.''.$iconstyle.'></i>';

			return $blue_icon;

		}else{

			return false;

		}

    }
}
//button function
if ( ! function_exists( 'nt_blue_btn' ) ) {
    function nt_blue_btn( $btntitle='', $btntarget='', $btnhref='', $btnclass='', $btnbg='', $btncolor='', $btnicon='',$iconpos='' ) {


		if ( ( isset( $btntitle ) ) && ( $btntitle != '' ) ) {

			$btn_class 	= ( isset( $btnclass  ) && $btnclass  != ''  ) 	? 	' class="'.esc_attr( $btnclass ).'"' 		: '';
			$btn_bg 	= ( isset( $btnbg 	  ) && $btnbg 	  != ''  ) 	? 	' background-color:'.esc_attr( $btnbg ).';' : '';
			$btn_color 	= ( isset( $btncolor  ) && $btncolor  != ''  ) 	? 	' color:'.esc_attr( $btncolor ).';' 		: '';
			$btn_href 	= ( isset( $btnhref   ) && $btnhref   != ''  ) 	? 	' href="'.esc_url( $btnhref ).'"' 			: '';
			$btn_target = ( isset( $btntarget ) && $btntarget != ''  ) 	? 	' target="'.esc_attr( $btntarget ).'"' 		: '';
			$btn_icon 	= ( isset( $btnicon   ) && $btnicon   != ''  ) 	? 	'  <i class="'.esc_attr( $btnicon ).'"></i> ' : '';

			if ( $btn_bg != '' || $btn_color != '' ){

				$btn_style = ' style="'.$btn_bg.''.$btn_color.'"';

			}
			else{ $btn_style = '';}

			if ( $btntitle != '' ) {

				if ( $iconpos == 'right' ) {

					$button = '<a'.$btn_class.''.$btn_href.''.$btn_target.''.$btn_style.'>'.esc_html( $btntitle ).''.$btn_icon.'</a>';

				}else{

					$button = '<a'.$btn_class.''.$btn_href.''.$btn_target.''.$btn_style.'>'.$btn_icon.''.esc_html( $btntitle ).'</a>';

				}
			}
			else{ $button = '';}

			return $button;
		}
		else{ return false; }
    }
}
//button function
if ( ! function_exists( 'nt_blue_img' ) ) {
    function nt_blue_img( $imgsrc='', $imgclass='' ) {

		if ( ( isset( $imgsrc ) ) && ( $imgsrc != '' ) ) {

			// Gets url of the image
			$image = wp_get_attachment_url( $imgsrc,'full' );
			// Gets the Image Alt
			$image_alt = get_post_meta( $imgsrc, '_wp_attachment_image_alt', true );
			// Gets the image name with exstention
			$image_filename = basename ( get_attached_file( $imgsrc ) );
			// Gets the image name without exstention
			$image_title = get_the_title( $imgsrc );

			if (  $image_alt != '' ) {
				$imagealt = $image_alt;
			}else{
				$imagealt = $image_filename;
			}

			$img_src 	= ( isset( $imgsrc    ) && $imgsrc    != '' ) 	? 	' src="'.esc_url( $image ).'"' 			: '';
			$img_class 	= ( isset( $imgclass  ) && $imgclass  != '' ) 	? 	' class="'.esc_attr( $imgclass ).'"' 	: '';

			$image 	= '<img'.$img_src .''.$img_class .' alt="'.esc_attr( $imagealt ).'">';

			return $image;
		}
		else{
			return false;
		}
    }
}



/*-----------------------------------------------------------------------------------*/
/*	HERO  blue
/*-----------------------------------------------------------------------------------*/
function theme_nt_blue_section_hero( $atts, $content = null ) {
    extract( shortcode_atts(array(
	"sec_id"	=> '',
	"heading"	=> '',
	"price"		=> '',
	"desc"		=> '',
	"btnlink"	=> '',
	"fonticon"	=> '',
	"rightimg"	=> '',
	"bgcss"		=> '',
	//custom style
	"hlineh"	=> '',
	"hsize"		=> '',
	"hcolor"	=> '',
	"dlineh"	=> '',
	"dsize"		=> '',
	"dcolor"	=> '',
	"prlineh"	=> '',
	"prsize"	=> '',
	"prcolor"	=> '',
	"btnbg"		=> '',
	"btncolor"	=> '',

	), $atts) );

	$bg_css = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $bgcss, ' ' ),  $atts );

	$id = ( $sec_id != '' ) ? 'id="'.esc_attr( $sec_id ).'"' : '';

	$btnlink 	= ( $btnlink == '||' ) ? '' : $btnlink;
	$btnlink 	= vc_build_link( $btnlink );
	$btnhref 	= $btnlink['url'];
	$btntitle 	= $btnlink['title'];
	$btntarget 	= $btnlink['target'];

	if ( $fonticon != null ){

		$btnicon = $fonticon;
		$btnnopad = '';

	}else{

		$btnicon = '';
		$btnnopad = ' default-pad';
	}

	$out = '';

    $out .= '<section '.$id.' class="welcome_area welcome_default'.esc_attr( $bg_css ).'">';
        $out .= '<div class="table">';
            $out .= '<div class="table_cell">';
                $out .= '<div class="container">';
                    $out .= '<div class="row">';
                        $out .= '<div class="col-sm-7 col-md-6">';
                            $out .= '<div class="welcome_text_area">';
                                $out .= ''.nt_blue_element( $heading, $tag='h2', $class='', $hlineh, $hsize, $hcolor ).'';
                                $out .= ''.nt_blue_element( $desc, $tag='p', $class='', $dlineh, $dsize, $dcolor ).'';
                                $out .= ''.nt_blue_element( $price, $tag='h3', $class='price', $prlineh, $prsize, $prcolor ).'';
                                $out .= ''.nt_blue_btn( $btntitle, $btntarget, $btnhref, $btnclass='btn btn-default btn-lg'.$btnnopad.'', $btnbg, $btncolor, $btnicon ).'';
                            $out .= '</div>';
                        $out .= '</div>';
                        $out .= '<div class="col-sm-4 col-md-5 col-sm-offset-1">';
                            $out .= '<div class="welcome_area_thumb">';
                                $out .= ''.nt_blue_img( $rightimg, $imgclass='' ).'';
                            $out .= '</div>';
                        $out .= '</div>';
                    $out .= '</div>';
                $out .= '</div>';
            $out .= '</div>';
        $out .= '</div>';
    $out .= '</section>';

	return $out;
}
add_shortcode('nt_blue_section_hero', 'theme_nt_blue_section_hero');

/*-----------------------------------------------------------------------------------*/
/*	HERO STATIC BG IMAGE  blue
/*-----------------------------------------------------------------------------------*/
function theme_nt_blue_section_hero_static( $atts, $content = null ) {
    extract( shortcode_atts(array(
	"sec_id"	=> '',
	"imgpos"	=> '',
	"heading"	=> '',
	"desc"		=> '',
	"linktype"	=> '',
	"videourl"	=> '',
	"btntitle2"	=> '',
	"btnlink"	=> '',
	"fonticon"	=> '',
	"rightimg"	=> '',
	"bgcss"		=> '',
	//custom style
	"hlineh"	=> '',
	"hsize"		=> '',
	"hcolor"	=> '',
	"dlineh"	=> '',
	"dsize"		=> '',
	"dcolor"	=> '',
	"prlineh"	=> '',
	"prsize"	=> '',
	"prcolor"	=> '',
	"btnbg"		=> '',
	"btncolor"	=> '',

	), $atts) );

	$bg_css = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $bgcss, ' ' ),  $atts );

	$id = ( $sec_id != '' ) ? 'id="'.esc_attr( $sec_id ).'"' : '';

	$btnlink 	= ( $btnlink == '||' ) ? '' : $btnlink;
	$btnlink 	= vc_build_link( $btnlink );
	$btnhref 	= $btnlink['url'];
	$btntitle 	= $btnlink['title'];
	$btntarget 	= $btnlink['target'];

	if ( $fonticon != null ){

		$btnicon = $fonticon;
		$btnnopad = '';

	}else{

		$btnicon = '';
		$btnnopad = ' default-pad';
	}

	if ( $linktype == 'youtube' ){

		wp_enqueue_script( 'magnific-popup' );
		wp_enqueue_script( 'nt-blue-magnific-popup-set' );

		$btn_target = '';
		$btn_title	= $btntitle2;
		$btn_href	= $videourl;
		$vidclass = ' video_btn';

	}else{

		$btn_title = $btntitle ;
		$btn_target = $btntarget;
		$btn_href	= $btnhref;
		$vidclass = '';

	}

	$out = '';

		$out .= '<section '.$id.' class="welcome_area static-image-version'.esc_attr( $bg_css ).'">';
			$out .= '<div class="table">';
				$out .= '<div class="table_cell">';
					$out .= '<div class="container">';
						$out .= '<div class="row">';

							$img_pos = ( $imgpos != '' ) ? $imgpos : 'right';

							if ( $img_pos == 'left' ) {
							$textright = ' text-right';

							$out .= '<div class="col-sm-5 col-md-4">';
								$out .= '<div class="welcome_area_thumb">';
									$out .= ''.nt_blue_img( $rightimg, $imgclass='' ).'';
								$out .= '</div>';
							$out .= '</div>';

							}

							if ( is_rtl() ) {

								$textright = ' text-right';
							}else{
								$textright = '';
							}

							$out .= '<div class="col-sm-7 col-md-8">';
								$out .= '<div class="welcome_text_area'.$textright.'">';
									$out .= ''.nt_blue_element( $heading, $tag='h2', $class='', $hlineh, $hsize, $hcolor ).'';
									$out .= ''.nt_blue_element( $desc, $tag='p', $class='', $dlineh, $dsize, $dcolor ).'';
									$out .= ''.nt_blue_btn( $btntitle=$btn_title, $btntarget=$btn_target, $btnhref=$btn_href, $btnclass='btn btn-default btn-lg'.$btnnopad.''.$vidclass.'', $btnbg, $btncolor, $btnicon ).'';
								$out .= '</div>';
							$out .= '</div>';
							if ( $img_pos == 'right' ) {

							$out .= '<div class="col-sm-5 col-md-4">';
								$out .= '<div class="welcome_area_thumb">';
									$out .= ''.nt_blue_img( $rightimg, $imgclass='' ).'';
								$out .= '</div>';
							$out .= '</div>';

							}
						$out .= '</div>';
					$out .= '</div>';
				$out .= '</div>';
			$out .= '</div>';
		$out .= '</section>';

	return $out;
}
add_shortcode('nt_blue_section_hero_static', 'theme_nt_blue_section_hero_static');

/*-----------------------------------------------------------------------------------*/
/*	SERVICES blue
/*-----------------------------------------------------------------------------------*/
function theme_nt_blue_section_product( $atts, $content = null ) {
    extract( shortcode_atts(array(
	"sec_id"	=> '',
	"h_anim"	=> '',
	"heading"	=> '',
	"desc"		=> '',
	"showimg"	=> '',
	"imganim"	=> '',
	"leftimg"	=> '',
	"itemanim"	=> '',
	"column"	=> '',
	"smcol"		=> '',
	"mdcol"		=> '',
	"xscol"		=> '',
	"proloop"	=> '',
	"addicon"	=> '',
	"fonticon"	=> '',
	"bgcss"		=> '',
	//custom style
	"hlineh"	=> '',
	"hsize"		=> '',
	"hcolor"	=> '',
	"dlineh"	=> '',
	"dsize"		=> '',
	"dcolor"	=> '',
	"isize"		=> '',
	"icolor"	=> '',
	"tlineh"	=> '',
	"tsize"		=> '',
	"tcolor"	=> '',
	"dtlineh"	=> '',
	"dtsize"	=> '',
	"dtcolor"	=> '',

	), $atts) );

	$bg_css = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $bgcss, ' ' ),  $atts );
	$id = ( $sec_id != '' ) ? 'id="'.esc_attr( $sec_id ).'"' : '';
	$product_loop = (array) vc_param_group_parse_atts( $proloop );

	$out = '';

    $out .= '<section '.$id.' class="about_area section_padding_100_70'.esc_attr( $bg_css ).'">';
        $out .= '<div class="container">';

		if ( $heading != '' || $desc != '' ) {
            $out .= '<div class="row">';
                $out .= '<div class="col-xs-12">';

                    $out .= '<div class="section_heading'.nt_blue_animation( $h_anim ).'">';
                        $out .= ''.nt_blue_element( $heading, $tag='h2', $class='', $hlineh, $hsize, $hcolor ).'';
                        $out .= ''.nt_blue_element( $desc, $tag='p', $class='', $dlineh, $dsize, $dcolor ).'';
                    $out .= '</div>';

                $out .= '</div>';
            $out .= '</div>';
		}

            $out .= '<div class="row">';
			if ( $showimg != 'hide' ) {
                $out .= '<div class="col-xs-12 col-md-6">';
                    $out .= '<div class="about_product_thumb text-center'.nt_blue_animation( $imganim ).'" data-wow-delay="0.2s">';
                        $out .= ''.nt_blue_img( $leftimg, $imgclass='' ).'';
                    $out .= '</div>';
                $out .= '</div>';
			}
			if ( $showimg == 'hide' ) {
                $out .= '<div class="col-xs-12 col-md-12">';
			}else{
				$out .= '<div class="col-xs-12 col-md-6">';
			}
                    $out .= '<div class="about_product_discription">';
                        $out .= '<div class="row">';

						if ( $column != 'custom' ) {
							$coltotal = $column ? $column : 'col-sm-6';
						}
						if ( $column =='custom' ) {
							$sm_col = $smcol ? $smcol : 'col-sm-6';
							$md_col = $mdcol ? $mdcol : '';
							$xs_col = $xscol ? $xscol : '';
							$itemcolumn =  ''.esc_attr( $sm_col ).' '.esc_attr( $md_col ).' '.esc_attr( $xs_col ).'';
							$coltotal = preg_replace('/\s\s+/', ' ', $itemcolumn);
						}

						$countitem = 0;
						$itemdelay = 2;
					if ( !empty($product_loop) ) {
						foreach ( $product_loop as $p ) {
							$dly_i = ((($countitem)+($itemdelay))/10);
                            $out .= '<div class="'.$coltotal.'">';
                                $out .= '<div class="single_about_part item'.nt_blue_animation( $itemanim ).'" data-wow-delay="'.$dly_i.'s">';

									if ( isset( $p['fonticon'] ) != '' ){
										$out .= ''.nt_blue_icon( $iconclass=$p['fonticon'], $isize, $icolor ).'';
									}

									if ( isset( $p['title'] ) != '' ) { $out .= ''.nt_blue_element( $heading=$p['title'], $tag='h3', $class='', $tlineh, $tsize, $tcolor ).''; }

									if ( isset( $p['detail'] ) != '') { $out .= ''.nt_blue_element( $detail=$p['detail'], $tag='p', $class='', $dtlineh, $dtsize, $dtcolor ).''; }

                                $out .= '</div>';
                            $out .= '</div>';
							$countitem++;
							$itemdelay++;
						}
					}
                        $out .= '</div>';
                    $out .= '</div>';
                $out .= '</div>';
            $out .= '</div>';
        $out .= '</div>';
    $out .= '</section>';

	return $out;
}
add_shortcode('nt_blue_section_product', 'theme_nt_blue_section_product');

/*-----------------------------------------------------------------------------------*/
/*	FEATURES blue
/*-----------------------------------------------------------------------------------*/
function theme_nt_blue_section_features( $atts, $content = null ) {
    extract( shortcode_atts(array(
	"sec_id"	=> '',
	"h_anim"	=> '',
	"heading"	=> '',
	"desc"		=> '',
	"itemanim"	=> '',
	"column"	=> '',
	"smcol"		=> '',
	"mdcol"		=> '',
	"xscol"		=> '',
	"floop"		=> '',
	"title"		=> '',
	"detail"	=> '',
	"addicon"	=> '',
	"fonticon"	=> '',
	"bgcss"		=> '',
	//custom style
	"hlineh"	=> '',
	"hsize"		=> '',
	"hcolor"	=> '',
	"dlineh"	=> '',
	"dsize"		=> '',
	"dcolor"	=> '',
	"isize"		=> '',
	"icolor"	=> '',
	"tlineh"	=> '',
	"tsize"		=> '',
	"tcolor"	=> '',
	"dtlineh"	=> '',
	"dtsize"	=> '',
	"dtcolor"	=> '',

	), $atts) );

	$bg_css = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $bgcss, ' ' ),  $atts );
	$id = ( $sec_id != '' ) ? 'id="'.esc_attr( $sec_id ).'"' : '';
	$f_loop = (array) vc_param_group_parse_atts( $floop );

	$out = '';

    $out .= '<div '.$id.' class="more_features_area section_padding_100_70'.esc_attr( $bg_css ).'">';
        $out .= '<div class="container">';
		if ( $heading != '' || $desc != '' ) {
            $out .= '<div class="row">';
                $out .= '<div class="col-xs-12">';

                    $out .= '<div class="section_heading'.nt_blue_animation( $h_anim ).'">';
                        $out .= ''.nt_blue_element( $heading, $tag='h2', $class='', $hlineh, $hsize, $hcolor ).'';
                        $out .= ''.nt_blue_element( $desc, $tag='p', $class='', $dlineh, $dsize, $dcolor ).'';
                    $out .= '</div>';

                $out .= '</div>';
            $out .= '</div>';
		}
            $out .= '<div class="row">';

			if ( $column != 'custom' ) {
				$coltotal = $column ? $column : 'col-sm-6 col-md-4';
			}
			if ( $column =='custom' ) {
				$sm_col = $smcol ? $smcol : 'col-sm-6';
				$md_col = $mdcol ? $mdcol : 'col-md-4';
				$xs_col = $xscol ? $xscol : '';
				$itemcolumn =  ''.esc_attr( $sm_col ).' '.esc_attr( $md_col ).' '.esc_attr( $xs_col ).'';
				$coltotal = preg_replace('/\s\s+/', ' ', $itemcolumn);
			}

			$countitem = 0;
			$itemdelay = 2;

			foreach ( $f_loop as $f ) {

				if ( $countitem == 0 ) { $firstitem = 'active';}else{ $firstitem = ''; }

				$dly_i = ((($countitem)+($itemdelay))/10);

                $out .= '<div class="'.$coltotal.'">';
                    $out .= '<div class="single_benifits item '.$firstitem.''.nt_blue_animation( $itemanim ).'" data-wow-delay="'.$dly_i.'s">';

						if ( isset( $f['fonticon'] ) != '' ){
							$out .= '<div class="icon_box">';
								$out .= ''.nt_blue_icon( $iconclass=$f['fonticon'], $isize, $icolor ).'';
							$out .= '</div>';
						}

                        if ( isset( $f['title'] ) != '' ) { $out .= ''.nt_blue_element( $heading=$f['title'], $tag='h4', $class='', $tlineh, $tsize, $tcolor ).''; }

                        if ( isset( $f['detail'] ) != '' ) { $out .= ''.nt_blue_element( $detail=$f['detail'], $tag='p', $class='', $dtlineh, $dtsize, $dtcolor ).''; }

                    $out .= '</div>';
                $out .= '</div>';

				$countitem++;
				$itemdelay++;
			}

            $out .= '</div>';
        $out .= '</div>';
    $out .= '</div>';

	return $out;
}
add_shortcode('nt_blue_section_features', 'theme_nt_blue_section_features');

/*-----------------------------------------------------------------------------------*/
/*	SPECIAL blue
/*-----------------------------------------------------------------------------------*/
function theme_nt_blue_section_special( $atts, $content = null ) {
    extract( shortcode_atts(array(
	"sec_id"	=> '',
	"leftimg"	=> '',
	"heading"	=> '',
	"desc"		=> '',
	"btnlink"	=> '',
	"addicon"	=> '',
	"fonticon"	=> '',
	"btnpos"	=> '',
	"btntype"	=> '',
	"btnlink2"	=> '',
	"addicon2"	=> '',
	"fonticon2"	=> '',
	"btnpos2"	=> '',
	"btntype2"	=> 'buy',
	"bgcss"		=> '',
	//custom style
	"hlineh"	=> '',
	"hsize"		=> '',
	"hcolor"	=> '',
	"dlineh"	=> '',
	"dsize"		=> '',
	"dcolor"	=> '',
	"btnbg"		=> '',
	"btncolor"	=> '',
	"btnbg2"	=> '',
	"btncolor2"	=> '',

	), $atts) );

	$bg_css = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $bgcss, ' ' ),  $atts );
	$id = ( $sec_id != '' ) ? 'id="'.esc_attr( $sec_id ).'"' : '';

	$btnlink 	= ( $btnlink == '||' ) ? '' : $btnlink;
	$btnlink 	= vc_build_link( $btnlink );
	$btnhref 	= $btnlink['url'];
	$btntitle 	= $btnlink['title'];
	$btntarget 	= $btnlink['target'];

	$btnlink2 	= ( $btnlink2 == '||' ) ? '' : $btnlink2;
	$btnlink2 	= vc_build_link( $btnlink2 );
	$btnhref2 	= $btnlink2['url'];
	$btntitle2 	= $btnlink2['title'];
	$btntarget2 = $btnlink2['target'];

	if ( $btntitle !='' ) {

		if ( isset( $fonticon ) != '' ){

			$btnicon = $fonticon;

		}else{

			$btnicon = '';
		}
	}else{
		$btnicon = '';
	}

	if ( $btntitle2 !='' ) {

		if ( isset( $fonticon2 ) != '' ){

			$btnicon2 = $fonticon2;

		}else{

			$btnicon2 = '';
		}
	}else{
		$btnicon2 = '';
	}

	$out = '';

		$out .= '<section '.$id.' class="our_speciality_area'.esc_attr( $bg_css ).'">';
			$out .= '<div class="container-fluid">';
				$out .= '<div class="row">';
					$out .= '<div class="col-md-6 item hidden-sm hidden-xs">';
						$out .= '<div class="special_img">';
							$out .= ''.nt_blue_img( $leftimg, $imgclass='' ).'';
						$out .= '</div>';
					$out .= '</div>';
					$out .= '<div class="col-md-6 item special_area_description">';
						$out .= '<div class="table">';
							$out .= '<div class="table_cell">';
								$out .= '<div class="special_text">';
								$out .= ''.nt_blue_element( $heading, $tag='h2', $class='', $hlineh, $hsize, $hcolor ).'';
								$out .= ''.nt_blue_element( $desc, $tag='p', $class='', $dlineh, $dsize, $dcolor ).'';
								$out .= ''.nt_blue_btn( $btntitle, $btntarget, $btnhref, $btnclass='btn btn-default btn-lg '.$btntype.'', $btnbg, $btncolor, $btnicon, $iconpos=$btnpos ).'';
								$out .= ''.nt_blue_btn( $btntitle2, $btntarget2, $btnhref2, $btnclass='btn btn-default btn-lg '.$btntype2.'', $btnbg2, $btncolor2, $btnicon2, $iconpos=$btnpos2 ).'';
								$out .= '</div>';
							$out .= '</div>';
						$out .= '</div>';
					$out .= '</div>';
				$out .= '</div>';
			$out .= '</div>';
		$out .= '</section>';

	return $out;
}
add_shortcode('nt_blue_section_special', 'theme_nt_blue_section_special');

/*-----------------------------------------------------------------------------------*/
/*	CTA blue
/*-----------------------------------------------------------------------------------*/
function theme_nt_blue_section_cta( $atts, $content = null ) {
    extract( shortcode_atts(array(
	"sec_id"	=> '',
	"h_anim"	=> '',
	"heading"	=> '',
	"desc"		=> '',
	"fonticon"	=> '',
	"btnlink"	=> '',
	"fonticon2"	=> '',
	"btnpos"	=> '',
	"btntype"	=> '',
	"bgcss"		=> '',
	//custom style
	"iconsize"	=> '',
	"iconcolor"	=> '',
	"hlineh"	=> '',
	"hsize"		=> '',
	"hcolor"	=> '',
	"dlineh"	=> '',
	"dsize"		=> '',
	"dcolor"	=> '',
	"btnbg"		=> '',
	"btncolor"	=> '',

	), $atts) );

	$bg_css = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $bgcss, ' ' ),  $atts );
	$id = ( $sec_id != '' ) ? 'id="'.esc_attr( $sec_id ).'"' : '';

	$btnlink 	= ( $btnlink == '||' ) ? '' : $btnlink;
	$btnlink 	= vc_build_link( $btnlink );
	$btnhref 	= $btnlink['url'];
	$btntitle 	= $btnlink['title'];
	$btntarget 	= $btnlink['target'];

	if ( isset( $fonticon ) != '' ){

		$lefticon = $fonticon;

	}else{

		$lefticon = '';

	}

	if ( $btntitle !='' ) {

		if ( isset( $fonticon2 ) != '' ){

			$btn_icon = $fonticon2;

		}else{

			$btn_icon = '';

		}

	}else{

		$btn_icon = '';

	}

	$out = '';

		$out .= '<section '.$id.' class="call_to_action'.esc_attr( $bg_css ).'">';
			$out .= '<div class="container">';
				$out .= '<div class="row">';
					$out .= '<div class="col-xs-12">';
						$out .= '<div class="call_to_action_text'.nt_blue_animation( $h_anim ).'">';

						if ( $lefticon != '' ) {
							$out .= '<div class="like">';
								$out .= ''.nt_blue_icon( $iconclass=$lefticon, $iconsize, $iconcolor ).'';
							$out .= '</div>';
						}

						if ( $heading != '' || $desc != '' ) {
							$out .= '<div class="text">';
								$out .= ''.nt_blue_element( $heading, $tag='h3', $class='', $hlineh, $hsize, $hcolor ).'';
								$out .= ''.nt_blue_element( $desc, $tag='p', $class='', $dlineh, $dsize, $dcolor ).'';
							$out .= '</div>';
						}

							$out .= ''.nt_blue_btn( $btntitle, $btntarget, $btnhref, $btnclass='btn btn-default btn-lg '.$btntype.'', $btnbg, $btncolor, $btnicon=$btn_icon, $iconpos=$btnpos ).'';

						$out .= '</div>';
					$out .= '</div>';
				$out .= '</div>';
			$out .= '</div>';
		$out .= '</section>';

	return $out;
}
add_shortcode('nt_blue_section_cta', 'theme_nt_blue_section_cta');

/*-----------------------------------------------------------------------------------*/
/*	KEY_FEATURES blue
/*-----------------------------------------------------------------------------------*/
function theme_nt_blue_section_key_features( $atts, $content = null ) {
    extract( shortcode_atts(array(
	"sec_id"	=> '',
	"imgpos"	=> '',
	"h_anim"	=> '',
	"heading"	=> '',
	"desc"		=> '',
	"itemanim"	=> '',
	"kfloop"	=> '',
	"title"		=> '',
	"rightimg"	=> '',
	"bgcss"		=> '',
	//custom style
	"hlineh"	=> '',
	"hsize"		=> '',
	"hcolor"	=> '',
	"dlineh"	=> '',
	"dsize"		=> '',
	"dcolor"	=> '',
	"tlineh"	=> '',
	"tsize"		=> '',
	"tcolor"	=> '',

	), $atts) );

	$bg_css = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $bgcss, ' ' ),  $atts );

	$id = ( $sec_id != '' ) ? 'id="'.esc_attr( $sec_id ).'"' : '';

	$kf_loop = (array) vc_param_group_parse_atts( $kfloop );

	$out = '';

    $out .= '<section '.$id.' class="key_features_area section_padding_100'.esc_attr( $bg_css ).'">';
        $out .= '<div class="container">';

		if ( $heading != '' ) {
            $out .= '<div class="row">';
                $out .= '<div class="col-xs-12">';

                    $out .= '<div class="section_heading'.nt_blue_animation( $h_anim ).'">';
                        $out .= ''.nt_blue_element( $heading, $tag='h2', $class='', $hlineh, $hsize, $hcolor ).'';
                    $out .= '</div>';

                $out .= '</div>';
            $out .= '</div>';
		}

            $out .= '<div class="row">';

			$img_pos = ( $imgpos != '' ) ? $imgpos : 'right';

			if ( $img_pos == 'left' ) {

                $out .= '<div class="col-sm-6 col-md-4 item">';
                    $out .= '<div class="key_features_img">';
                        $out .= ''.nt_blue_img( $rightimg, $imgclass='' ).'';
                    $out .= '</div>';
                $out .= '</div>';
			}

			if ( is_rtl() ) {

				$textright = ' text-right';
			}else{
				$textright = '';
			}

                $out .= '<div class="col-sm-6 col-md-8 item">';
                    $out .= '<div class="key_features_text'.$textright.'">';

                        $out .= ''.nt_blue_element( $desc, $tag='p', $class='', $dlineh, $dsize, $dcolor ).'';

						$countitem = 0;
						$itemdelay = 1;
						$out .= '<div class="key_features_list_wrapper">';
						foreach ( $kf_loop as $kf ) {

							$dly_i = ((($countitem)+($itemdelay))/10);

							if ( isset( $kf['title'] ) != '' ) { $out .= ''.nt_blue_element( $heading=$kf['title'], $tag='h4', $class='key_features_list', $tlineh, $tsize, $tcolor , $itemanim, $animdly=$dly_i).''; }

							$itemdelay++;
						}

						$out .= '</div>';
                    $out .= '</div>';
                $out .= '</div>';

			if ( $img_pos == 'right' ) {

                $out .= '<div class="col-sm-6 col-md-4 item">';
                    $out .= '<div class="key_features_img">';
                        $out .= ''.nt_blue_img( $rightimg, $imgclass='' ).'';
                    $out .= '</div>';
                $out .= '</div>';

			}

            $out .= '</div>';
        $out .= '</div>';
    $out .= '</section>';


	return $out;
}
add_shortcode('nt_blue_section_key_features', 'theme_nt_blue_section_key_features');

/*-----------------------------------------------------------------------------------*/
/*	TESTIMONIAL advent
/*-----------------------------------------------------------------------------------*/
function theme_nt_blue_section_testimonial( $atts, $content = null ) {
    extract( shortcode_atts(array(
	"sec_id"	=> '',
	"heading"	=> '',
	"desc"		=> '',
	"h_anim"	=> '',
	"testiloop"	=> '',
	"tes_img"	=> '',
	"quote"		=> '',
	"name"		=> '',
	"job"		=> '',
	"star"		=> '5',
	"bgcss"		=> '',
	//custom style start
	"hlineh"	=> '',
	"hsize"		=> '',
	"hcolor"	=> '',
	"dlineh"	=> '',
	"dsize"		=> '',
	"dcolor"	=> '',
	"nlineh"	=> '',
	"nsize"		=> '',
	"ncolor"	=> '',
	"qlineh"	=> '',
	"qsize"		=> '',
	"qcolor"	=> '',
	"jlineh"	=> '',
	"jsize"		=> '',
	"jcolor"	=> '',
	), $atts) );

	wp_enqueue_script( 'owl-carousel' );
	wp_enqueue_script( 'nt-blue-owl-carousel-set' );

	$bg_css = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $bgcss, ' ' ),  $atts );
	$id = ( $sec_id != '' ) ? 'id="'.esc_attr( $sec_id ).'"' : '';

	$testi_loop = (array) vc_param_group_parse_atts($testiloop);

	$out = '';

    $out .='<div '.$id.' class="testimonial_area section_padding_100'.esc_attr( $bg_css ).'">';
        $out .='<div class="container">';

		if ( $heading != '' || $desc != '' ) {
            $out .= '<div class="row">';
                $out .= '<div class="col-xs-12">';

                    $out .= '<div class="section_heading'.nt_blue_animation( $h_anim ).'">';
                        $out .= ''.nt_blue_element( $heading, $tag='h2', $class='', $hlineh, $hsize, $hcolor ).'';
                        $out .= ''.nt_blue_element( $desc, $tag='p', $class='', $dlineh, $dsize, $dcolor ).'';
                    $out .= '</div>';

                $out .= '</div>';
            $out .= '</div>';
		}


            $out .='<div class="row">';
                $out .='<div class="col-xs-12">';
                    $out .='<div class="testimonials_area">';
                        $out .='<div class="testimonials">';

					if ( !empty( $testi_loop ) ) {

						foreach ( $testi_loop as $t ) {

							$out .='<div class="single_testimonial_area">';
								$out .='<div class="testimonial_text">';

								if ( isset( $t['tes_img'] ) != '' ) {

									$out .='<div class="testimonial_author_thumb">';

										$out .= ''.nt_blue_img( $imgsrc=$t['tes_img'], $imgclass='' ).'';

									if ( isset( $t['star'] ) != ''  ) {
										$out .='<div class="rating">';
										if ( $t['star'] == '1' ) {
											$out .='<i class="icofont icofont-star"></i>';
										}
										elseif ( $t['star'] == '2' ) {
											$out .='<i class="icofont icofont-star"></i>';
											$out .='<i class="icofont icofont-star"></i>';
										}
										elseif ( $t['star'] == '3' ) {
											$out .='<i class="icofont icofont-star"></i>';
											$out .='<i class="icofont icofont-star"></i>';
											$out .='<i class="icofont icofont-star"></i>';
										}
										elseif ( $t['star'] == '4' ) {
											$out .='<i class="icofont icofont-star"></i>';
											$out .='<i class="icofont icofont-star"></i>';
											$out .='<i class="icofont icofont-star"></i>';
											$out .='<i class="icofont icofont-star"></i>';
										}
										elseif ( $t['star'] == '5' ) {
											$out .='<i class="icofont icofont-star"></i>';
											$out .='<i class="icofont icofont-star"></i>';
											$out .='<i class="icofont icofont-star"></i>';
											$out .='<i class="icofont icofont-star"></i>';
											$out .='<i class="icofont icofont-star"></i>';
										}else{

										}

										$out .='</div>';
									}
									$out .='</div>';
								}
									if ( isset( $t['quote'] ) != '' ) { $out .= ''.nt_blue_element( $heading=$t['quote'], $tag='p', $class='', $qlineh, $qsize, $qcolor ).''; }

								if ( ( isset( $t['name'] ) != '' ) || ( isset( $t['job'] ) != '' ) ) {
								   $out .=' <div class="testimonial_author_name">';
										if ( isset( $t['name'] ) != '' ) { $out .= ''.nt_blue_element( $heading=$t['name'], $tag='h4', $class='', $nlineh, $nsize, $ncolor , $itemanim='', $animdly='').''; }
										if ( isset( $t['job'] ) != '' ) { $out .= ''.nt_blue_element( $heading=$t['job'], $tag='h5', $class='', $jlineh, $jsize, $jcolor,$itemanim='', $animdly='' ).''; }
									$out .='</div>';
								}
								$out .='</div>';
							$out .='</div>';
						}
					}
                        $out .='</div>';
                    $out .='</div>';
                $out .='</div>';
            $out .='</div>';
        $out .='</div>';
    $out .='</div>';

	return $out;
}
add_shortcode('nt_blue_section_testimonial', 'theme_nt_blue_section_testimonial');

/*-----------------------------------------------------------------------------------*/
/*	DOWNLOAD blue
/*-----------------------------------------------------------------------------------*/
function theme_nt_blue_section_download( $atts, $content = null ) {
    extract( shortcode_atts(array(
	"sec_id"	=> '',
	"imgpos"	=> '',
	"secimg"	=> '',
	"imgtab"	=> '',
	"imgphone"	=> '',
	"h_anim"	=> '',
	"heading"	=> '',
	"desc"		=> '',
	"playimg"	=> '',
	"btnlink"	=> '',
	"appimg"	=> '',
	"btnlink2"	=> '',
	"bgcss2"	=> '',
	"bgcss"		=> '',
	//custom style
	"hlineh"	=> '',
	"hsize"		=> '',
	"hcolor"	=> '',
	"dlineh"	=> '',
	"dsize"		=> '',
	"dcolor"	=> '',

	), $atts) );

	$bg_css = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $bgcss, ' ' ),  $atts );
	$bg_css2 = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $bgcss2, ' ' ),  $atts );

	$id = ( $sec_id != '' ) ? 'id="'.esc_attr( $sec_id ).'"' : '';

	$btnlink 	= ( $btnlink == '||' ) ? '' : $btnlink;
	$btnlink 	= vc_build_link( $btnlink );
	$btnhref 	= $btnlink['url'];
	$btntitle 	= $btnlink['title'];
	$btntarget 	= $btnlink['target'];

	$btnlink2 	= ( $btnlink2 == '||' ) ? '' : $btnlink2;
	$btnlink2 	= vc_build_link( $btnlink2 );
	$btnhref2 	= $btnlink2['url'];
	$btntitle2 	= $btnlink2['title'];
	$btntarget2 = $btnlink2['target'];


	$out = '';

		$out .= '<div '.$id.' class="download_app_area'.esc_attr( $bg_css ).'">';
			$out .= '<div class="container-fluid">';
				$out .= '<div class="row">';

				$img_tab 	= ( isset( $imgtab 	 ) != '' ) ? $imgtab 	: 'hidden-sm';
				$img_phone 	= ( isset( $imgphone ) != '' ) ? $imgphone 	: 'hidden-xs';
				$img_pos 	= ( isset( $imgpos   ) != '' ) ? $imgpos 	: 'right';

				if ( $img_pos == 'left' ) {

					$out .= '<div class="col-md-6 item '.esc_attr( $img_tab ).' '.esc_attr( $img_phone ).'">';
						$out .= '<div class="download_app_img">';
							$out .= ''.nt_blue_img( $secimg, $imgclass='' ).'';
						$out .= '</div>';
					$out .= '</div>';

				}

				if ( $secimg != '' ) {
					$out .= '<div class="col-md-6 item download_app">';
				}else{
					$out .= '<div class="col-md-12 item download_app">';
				}
					if ( $img_pos == 'left' ) { $tableclass = ' pad-left-30'; }else{ $tableclass = ''; }
						$out .= '<div class="table">';
							$out .= '<div class="table_cell'.$tableclass.'">';

								$out .= '<div class="download_app_text '.nt_blue_animation( $h_anim ).'">';

									$out .= ''.nt_blue_element( $heading, $tag='h1', $class='', $hlineh, $hsize, $hcolor ).'';

									$out .= ''.nt_blue_element( $desc, $tag='p', $class='', $dlineh, $dsize, $dcolor ).'';

									if ( $btnhref !='' ) {

										if ( $btntarget !='' ) { $target1 = ' target="'.esc_attr( $btntarget ).'"';}else{ $target1 = ''; }

										$out .= '<a href="'.esc_url( $btnhref ).'"'.$target1.'>'.nt_blue_img( $playimg, $imgclass='' ).'</a>';

									}else{

										$out .= ''.nt_blue_img( $playimg, $imgclass='' ).'';

									}

									if ( $btnhref2 !='' ) {

										if ( $btntarget2 !='' ) { $target2 = ' target="'.esc_attr( $btntarget2 ).'"';}else{ $target2 = ''; }

										$out .= '<a href="'.esc_url( $btnhref2 ).'"'.$target2.'>'.nt_blue_img( $appimg, $imgclass='' ).'</a>';

									}else{

										$out .= ''.nt_blue_img( $appimg, $imgclass='' ).'';

									}

								$out .= '</div>';
							$out .= '</div>';
						$out .= '</div>';
					$out .= '</div>';

				if ( $img_pos == 'right' ) {

					$out .= '<div class="col-md-6 item '.esc_attr( $img_tab ).' '.esc_attr( $img_phone ).'">';
						$out .= '<div class="download_app_img">';
							$out .= ''.nt_blue_img( $secimg, $imgclass='' ).'';
						$out .= '</div>';
					$out .= '</div>';
				}

				$out .= '</div>';
			$out .= '</div>';
		$out .= '</div>';

	return $out;
}
add_shortcode('nt_blue_section_download', 'theme_nt_blue_section_download');

/*-----------------------------------------------------------------------------------*/
/*	SUBSCRIBE blue
/*-----------------------------------------------------------------------------------*/
function theme_nt_blue_section_subscribe( $atts, $content = null ){
	extract(shortcode_atts(array(
	"sec_id"	=> '',
	"heading"	=> '',
	"desc"		=> '',
	"h_anim"	=> '',
	"formtype"	=> '',
	"bgcss"		=> '',
	//custom style
	"hlineh"	=> '',
	"hsize"		=> '',
	"hcolor"	=> '',
	"dlineh"	=> '',
	"dsize"		=> '',
	"dcolor"	=> '',

	), $atts));

	$bg_css = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $bgcss, ' ' ),  $atts );

	$id = ( $sec_id != '' ) ? 'id="'.esc_attr( $sec_id ).'"' : '';

	$out = '';

		$out .= '<section '.$id.' class="newsletter_area section_padding_100'.esc_attr( $bg_css ).'">';
			$out .= '<div class="container">';

			if ( $heading != '' || $desc != '' ) {
				$out .= '<div class="row">';
					$out .= '<div class="col-xs-12">';

						$out .= '<div class="section_heading'.nt_blue_animation( $h_anim ).'">';
							$out .= ''.nt_blue_element( $heading, $tag='h2', $class='', $hlineh, $hsize, $hcolor ).'';
							$out .= ''.nt_blue_element( $desc, $tag='p', $class='', $dlineh, $dsize, $dcolor ).'';
						$out .= '</div>';

					$out .= '</div>';
				$out .= '</div>';
			}

			$content = do_shortcode( $content );

			if ( $content != null ) {

				$out .= '<div class="row">';
					$out .= '<div class="col-xs-12 col-md-6 col-md-offset-3">';
						$out .= '<div class="mailchimp_area wow fadeInUp">';

					$form_type = ( isset( $formtype ) != '' ) ? $formtype : 'deafult';

					if ( $formtype == 'mailchimp' ) {

						if( function_exists( 'mc4wp_show_form' ) ) {

							$out .= '<div id="mc_embed_signup">';

								$out .= ''.do_shortcode($content).'';

							$out .= '</div>';

						}

					}else{

							$out .= '<div id="mc_embed_signup">';

								$out .= ''.do_shortcode($content).'';

							$out .= '</div>';

					}

						$out .= '</div>';
					$out .= '</div>';
				$out .= '</div>';
			}

			$out .= '</div>';
		$out .= '</section>';


	return $out;
}
add_shortcode('nt_blue_section_subscribe', 'theme_nt_blue_section_subscribe');

/*-----------------------------------------------------------------------------------*/
/*	CONTACT blue
/*-----------------------------------------------------------------------------------*/
function theme_nt_blue_section_contact( $atts, $content = null ){
	extract(shortcode_atts(array(
	"sec_id"	=> '',
	"heading"	=> '',
	"desc"		=> '',
	"h_anim"	=> '',
	"formtype"	=> '',
	"bgcss"		=> '',
	//custom style
	"hlineh"	=> '',
	"hsize"		=> '',
	"hcolor"	=> '',
	"dlineh"	=> '',
	"dsize"		=> '',
	"dcolor"	=> '',

	), $atts));

	$bg_css = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $bgcss, ' ' ),  $atts );

	$id = ( $sec_id != '' ) ? 'id="'.esc_attr( $sec_id ).'"' : '';

	$out = '';

		$out .= '<section '.$id.' class="message_now_area section_padding_100_70'.esc_attr( $bg_css ).'">';
			$out .= '<div class="container">';
				$out .= '<div class="row">';
					$out .= '<div class="col-xs-12 col-lg-10 col-lg-offset-1">';

					if ( $heading != '' || $desc != '' ) {

						$out .= '<div class="message_title">';
							$out .= '<div class="section_heading'.nt_blue_animation( $h_anim ).'">';
								$out .= ''.nt_blue_element( $heading, $tag='h2', $class='', $hlineh, $hsize, $hcolor ).'';
								$out .= ''.nt_blue_element( $desc, $tag='p', $class='', $dlineh, $dsize, $dcolor ).'';
							$out .= '</div>';
						$out .= '</div>';

					}

					$content = do_shortcode($content);

					if ( $content != null ) {
						$out .= '<div class="contact_from">';

							$out .= ''.do_shortcode($content).'';

						$out .= '</div>';
					}

					$out .= '</div>';
				$out .= '</div>';
			$out .= '</div>';
		$out .= '</section>';

	return $out;
}
add_shortcode('nt_blue_section_contact', 'theme_nt_blue_section_contact');

/*-----------------------------------------------------------------------------------*/
/*	PRICE TABLE
/*-----------------------------------------------------------------------------------*/
function theme_nt_blue_section_pricing($atts){
	extract(shortcode_atts(array(
	"sec_id"		=> '',
	"heading"		=> '',
	"desc"			=> '',
	"h_anim"		=> '',
	//bg css
	"bgcss"			=> '',
	//post options
	'prcanim'		=> '',
	'orderby'		=> 'date',
	'order'			=> 'DESC',
	'p_number'		=> '4',
	'p_cat'			=> 'all',
	//custom style start
	"hlineh"		=> '',
	"hsize"			=> '',
	"hcolor"		=> '',
	"dlineh"		=> '',
	"dsize"			=> '',
	"dcolor"		=> '',
	//price item
	"prctsize"		=> '',
	"prctlineh"		=> '',
	"prctcolor"		=> '',
	"prcsize"		=> '',
	"prclineh"		=> '',
	"prccolor"		=> '',
	"prysize"		=> '',
	"prylineh"		=> '',
	"prycolor"		=> '',
	"listsize"		=> '',
	"listlineh"		=> '',
	"listcolor"		=> '',

	), $atts));

	global $post;

	$args = array( 'post_type' => 'price',
		'posts_per_page' => $p_number,
		'order' 		 => $order,
		'orderby' 		 => $orderby,
		'post_status' 	 => 'publish'
	);

	if($p_cat != 'all'){
		$str = $p_cat;
		$arr = explode(',', $str);
		$args['tax_query'][] = array( 'taxonomy' => 'price_category', 'field' => 'slug', 'terms' => $arr );
	}

	$bg_css = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $bgcss, ' ' ),  $atts );

	$id = ( $sec_id != '' ) ? 'id="'.esc_attr( $sec_id ).'"' : '';


    $out = '';

		$out .= '<div '.$id.' class="price_plan_area section_padding_100_70'.esc_attr( $bg_css ).'">';
			$out .= '<div class="container">';

			if ( $heading != '' || $desc != '' ) {
				$out .= '<div class="row">';
					$out .= '<div class="col-xs-12">';

						$out .= '<div class="section_heading'.nt_blue_animation( $h_anim ).'">';
							$out .= ''.nt_blue_element( $heading, $tag='h2', $class='', $hlineh, $hsize, $hcolor ).'';
							$out .= ''.nt_blue_element( $desc, $tag='p', $class='', $dlineh, $dsize, $dcolor ).'';
						$out .= '</div>';

					$out .= '</div>';
				$out .= '</div>';
			}

				$out .= '<div class="row">';

				$countitem = 0;
				$itemdelay = 2;
			$nt_blue_price_query = new WP_Query($args);
			if( $nt_blue_price_query->have_posts() ) :
				while ($nt_blue_price_query->have_posts()) : $nt_blue_price_query->the_post();

					// price button
					$p_btntitle	= get_post_meta( get_the_ID(), 'nt_blue_prcbtntitle', true );
					$p_btntarget= get_post_meta( get_the_ID(), 'nt_blue_prcbtntarget', true );
					$p_btnlink	= get_post_meta( get_the_ID(), 'nt_blue_prcbtnlink', true );
					$p_btnicon	= get_post_meta( get_the_ID(), 'nt_blue_prcbtnicon', true );
					$p_iconpos	= get_post_meta( get_the_ID(), 'nt_blue_prcbtniconpos', true );
					$p_btncolor	= get_post_meta( get_the_ID(), 'nt_blue_prcbtncolor', true );
					$p_btnbg	= get_post_meta( get_the_ID(), 'nt_blue_prcbtnbg', true );

					// price settings
					$price		= get_post_meta( get_the_ID(), 'nt_blue_price', true );
					$period		= get_post_meta( get_the_ID(), 'nt_blue_period', true );
					$features	= get_post_meta( get_the_ID(), 'nt_blue_features_list', true );

					// responsive settings
					$lg_col	= get_post_meta( get_the_ID(), 'nt_blue_lg_col', true );
					$md_col	= get_post_meta( get_the_ID(), 'nt_blue_md_col', true );
					$md_off	= get_post_meta( get_the_ID(), 'nt_blue_md_off', true );
					$sm_col	= get_post_meta( get_the_ID(), 'nt_blue_sm_col', true );
					$xs_col	= get_post_meta( get_the_ID(), 'nt_blue_xs_col', true );

					$lgcol = $lg_col ? $lg_col : '';
					$mdcol = $md_col ? $md_col : 'col-md-3';
					$mdoff = $md_off ? $md_off : '';
					$smcol = $sm_col ? $sm_col : 'col-sm-6';
					$xscol = $xs_col ? $xs_col : '';

					$itemcol =  ''.esc_attr( $lgcol ).' '.esc_attr( $mdcol ).' '.esc_attr( $mdoff ).' '.esc_attr( $smcol ).' '.esc_attr( $xscol ).'';
					$itemcolumntotal = preg_replace('/\s\s+/', ' ', $itemcol);

					$dly_i = ((($countitem)+($itemdelay))/10);

					$out .= '<div class="'.$itemcolumntotal.'">';
						$out .= '<div class="single_price_plan item '.nt_blue_animation( $prcanim ).'" data-wow-delay="'.esc_attr( $dly_i ).'s">';
						if ( get_the_title() != '' ) {
							$out .= '<div class="title">';
								$out .= ''.nt_blue_element( $heading=get_the_title(), $tag='h3', $class='', $prctlineh, $prctsize, $prctcolor ).'';
							$out .= '</div>';
						}

						if ( $price !='' || $period !='' ) {
							$out .= '<div class="price">';
								$out .= '<h4>'.esc_html( $price ).'/<span>'.esc_html( $period ).'</span></h4>';
							$out .= '</div>';
						}

						if ( !empty( $features ) ) {

							$out .= '<div class="description">';

							foreach ( $features as $list ) {

								$out .= ''.nt_blue_element( $heading=$list, $tag='p', $class='', $listlineh, $listsize, $listcolor ).'';

							}

							$out .= '</div>';
						}

						if ( $p_btntitle !='' ) {
							$out .= '<div class="button">';
							$out .= ''.nt_blue_btn( $p_btntitle, $p_btntarget, $p_btnlink, $p_btnclass='btn btn-default', $p_btnbg, $p_btncolor, $p_btnicon, $p_iconpos ).'';
							$out .= '</div>';
						}

						$out .= '</div>';
					$out .= '</div>';

				$countitem++;
				$itemdelay++;

				endwhile;
			endif;
			wp_reset_postdata();



				$out .= '</div>';
			$out .= '</div>';
		$out .= '</div>';

	return $out;
}
add_shortcode('nt_blue_section_pricing', 'theme_nt_blue_section_pricing');

/*-----------------------------------------------------------------------------------*/
/*	TEAM blue
/*-----------------------------------------------------------------------------------*/
function theme_nt_blue_section_team($atts){
	extract(shortcode_atts(array(
	"sec_id"		=> '',
	"heading"		=> '',
	"desc"			=> '',
	"h_anim"		=> '',
	//bg css
	"bgcss"			=> '',
	//post options
	'teamanim'		=> '',
	'orderby'		=> 'date',
	'order'			=> 'DESC',
	'p_number'		=> '4',
	'team_category'	=> 'all',
	//custom style start
	"hlineh"		=> '',
	"hsize"			=> '',
	"hcolor"		=> '',
	"dlineh"		=> '',
	"dsize"			=> '',
	"dcolor"		=> '',
	//price item
	"nsize"			=> '',
	"nlineh"		=> '',
	"ncolor"		=> '',
	"jsize"			=> '',
	"jlineh"		=> '',
	"jcolor"		=> ''

    ), $atts));

	global $post;

	$nt_blue_team_args = array(

		'post_type' 	 => 'team',
		'posts_per_page' => $p_number,
		'order' 		 => $order,
		'orderby' 		 => $orderby,
		'post_status' 	 => 'publish'

	);

	$bg_css = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $bgcss, ' ' ),  $atts );
	$id = ( $sec_id != '' ) ? 'id="'.esc_attr( $sec_id ).'"' : '';

    if( $team_category != 'all' ){
    	$nt_blue_team_str = $team_category;
    	$nt_blue_team_arr = explode( ',', $nt_blue_team_str );
		$nt_blue_team_args['tax_query'][] = array( 'taxonomy' => 'team_category', 'field' => 'slug', 'terms' => $nt_blue_team_arr );

	}

	$out = '';


		$out .= '<section '.$id.' class="our_advisor_area section_padding_100_70'.esc_attr( $bg_css ).'">';
			$out .= '<div class="container">';

			if ( $heading != '' || $desc != '' ) {
				$out .= '<div class="row">';
					$out .= '<div class="col-xs-12">';

						$out .= '<div class="section_heading'.nt_blue_animation( $h_anim ).'">';
							$out .= ''.nt_blue_element( $heading, $tag='h2', $class='', $hlineh, $hsize, $hcolor ).'';
							$out .= ''.nt_blue_element( $desc, $tag='p', $class='', $dlineh, $dsize, $dcolor ).'';
						$out .= '</div>';

					$out .= '</div>';
				$out .= '</div>';
			}

				$out .= '<div class="row">';

			$countitem = 0;
			$itemdelay = 2;

			$nt_blue_team_query = new WP_Query($nt_blue_team_args);
			if ( $nt_blue_team_query->have_posts() ) :
				while ($nt_blue_team_query->have_posts()) : $nt_blue_team_query->the_post();

					$contents   = get_post_meta( get_the_ID(), 'nt_blue_social_icon', true );
					$soc_url    = get_post_meta( get_the_ID(), 'nt_blue_social_url', true );
					$team_job	= get_post_meta( get_the_ID(), 'nt_blue_team_job', true );
					$img_width	= get_post_meta( get_the_ID(), 'nt_blue_img_width', true );
					$img_height	= get_post_meta( get_the_ID(), 'nt_blue_img_height', true );
					$img_w	= $img_width ? $img_width : 180;
					$img_h	= $img_height ? $img_height : 180;

					$lg_col	= get_post_meta( get_the_ID(), 'nt_blue_lg_col', true );
					$md_col	= get_post_meta( get_the_ID(), 'nt_blue_md_col', true );
					$md_off	= get_post_meta( get_the_ID(), 'nt_blue_md_off', true );
					$sm_col	= get_post_meta( get_the_ID(), 'nt_blue_sm_col', true );
					$xs_col	= get_post_meta( get_the_ID(), 'nt_blue_xs_col', true );

					$lgcol = $lg_col ? $lg_col : '';
					$mdcol = $md_col ? $md_col : 'col-md-3';
					$mdoff = $md_off ? $md_off : '';
					$smcol = $sm_col ? $sm_col : 'col-sm-6';
					$xscol = $xs_col ? $xs_col : 'col-xs-12';

					$col =  ''.esc_attr( $lgcol ).' '.esc_attr( $mdcol ).' '.esc_attr( $mdoff ).' '.esc_attr( $smcol ).' '.esc_attr( $xscol ).'';
					$itemcolumntotal = preg_replace('/\s\s+/', ' ', $col);

					$dly_i = ((($countitem)+($itemdelay))/10);

					$out .= '<div class="'.$itemcolumntotal.'">';
					if( $teamanim != '' ) {
						$animation_delay = ' data-wow-delay="'.esc_attr( $dly_i ).'s"';
					}else{
						$animation_delay = '';
					}
						$out .= '<div class="single_advisor_profile item'.nt_blue_animation( $teamanim ).'"'.$animation_delay.'>';

							$nt_blue_teamthumb 		= get_post_thumbnail_id();
							$nt_blue_teamthumbimg 	= wp_get_attachment_url( $nt_blue_teamthumb,'full' );
							$nt_blue_teamimg 		= nt_blue_aq_resize( $nt_blue_teamthumbimg, $img_w, $img_h , true, true, true );

							if( $nt_blue_teamimg != '' ) {

									$nt_blue_alt_text = get_post_meta($nt_blue_teamthumb, '_wp_attachment_image_alt', true);

									$image_filename = basename ( get_attached_file( $nt_blue_teamthumb ) );

									if (  $nt_blue_alt_text != '' ) {

										$nt_blue_alttext = $nt_blue_alt_text;

									}elseif(  $nt_blue_alt_text == '' ){

										$nt_blue_alttext = get_the_title();

									}else{

										$nt_blue_alttext = $image_filename;

									}

								$out .= '<div class="advisor_thumb">';
									$out .= '<img src="'.esc_url( $nt_blue_teamimg ).'" alt="'.$nt_blue_alttext.'">';
								$out .= '</div>';
							}

							$team_name = get_the_title();
							if ( $team_name != '' || $team_job != '' ) {
								$out .= '<div class="single_advisor_details_info">';

									$out .= ''.nt_blue_element( $heading=$team_name, $tag='h4', $class='', $nlineh, $nsize, $ncolor ).'';
									$out .= ''.nt_blue_element( $heading=$team_job, $tag='p', $class='designation', $nlineh, $nsize, $ncolor ).'';

								$out .= '</div>';
							}

						$out .= '</div>';
					$out .= '</div>';

				$countitem++;
				$itemdelay++;

				endwhile;
			endif;
			wp_reset_postdata();


				$out .= '</div>';
			$out .= '</div>';
		$out .= '</section>';

	return $out;
}
add_shortcode('nt_blue_section_team', 'theme_nt_blue_section_team');

/*-----------------------------------------------------------------------------------*/
/*	PRODUCTS blue
/*-----------------------------------------------------------------------------------*/
function theme_nt_blue_section_product_list( $atts, $content = null ) {
    extract( shortcode_atts(array(
	"sec_id"		=> '',
	"heading"		=> '',
	"desc"			=> '',
	"h_anim"		=> '',
	//bg css
	"bgcss"			=> '',
	//post options
	"woo_orderby"  	=> 'date',
	"woo_order"    	=> 'DESC',
	"woo_posts"    	=> '4',
	//custom style start
	"hlineh"		=> '',
	"hsize"			=> '',
	"hcolor"		=> '',
	"dlineh"		=> '',
	"dsize"			=> '',
	"dcolor"		=> '',

    ), $atts) );

	wp_enqueue_script( 'owl-carousel' );
	wp_enqueue_script( 'nt-blue-owl-carousel-set' );

	$bg_css = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $bgcss, ' ' ),  $atts );

	$id = ( $sec_id != '' ) ? 'id="'.esc_attr( $sec_id ).'"' : '';

	$out = '';


    $out .= '<section '.$id.' class="our_product_area section_padding_100'.esc_attr( $bg_css ).'">';
        $out .= '<div class="container">';

			if ( $heading != '' || $desc != '' ) {
				$out .= '<div class="row">';
					$out .= '<div class="col-xs-12">';

						$out .= '<div class="section_heading text-center'.nt_blue_animation( $h_anim ).'">';
							$out .= ''.nt_blue_element( $heading, $tag='h2', $class='', $hlineh, $hsize, $hcolor ).'';
							$out .= ''.nt_blue_element( $desc, $tag='p', $class='', $dlineh, $dsize, $dcolor ).'';
						$out .= '</div>';

					$out .= '</div>';
				$out .= '</div>';
			}

            $out .= '<div class="row">';
                $out .= '<div class="col-xs-12">';
                    $out .= '<!-- Product Collection Area Start -->';
                    $out .= '<div class="product_collection_area">';
                        $out .= '<div class="product_collection">';


					// Woo start
					if( function_exists( 'WC' ) ) {

						$nt_blue_woo_meta_query = WC()->query->get_meta_query();
						$nt_blue_woo_args = array(
							'post_type'				=> 'product',
							'post_status'			=> 'publish',
							'ignore_sticky_posts'	=> 1,
							'posts_per_page' 		=> $woo_posts,
							'orderby' 				=> $woo_orderby,
							'order' 				=> $woo_order,
							'meta_query' 			=> $nt_blue_woo_meta_query
						);

						ob_start();

						$nt_blue_woo_products = new WP_Query( apply_filters( 'woocommerce_shortcode_products_query', $nt_blue_woo_args, $atts ) );
						if ( $nt_blue_woo_products->have_posts() ) :
						while ( $nt_blue_woo_products->have_posts() ) : $nt_blue_woo_products->the_post();
						global $product;

							// partials
							$p_id 			= $product->get_id();
							$add_to_url 	= $product->add_to_cart_url();
							$add_to_text 	= $product->add_to_cart_text();
							$image 			= $product->get_image('shop_catalog');
							$stock 			= $product->is_in_stock();
							$sale 			= $product->is_on_sale();
							$regular 		= $product->get_price_html();
							$p_title 		= $product->get_title();
							$rating 		= $product->get_average_rating();
							$size 			= wc_get_image_size( 'shop_catalog' );
							$placeh_width 	= $size['width'];

                            $out .= '<!-- Single Product Area Start -->';
                            $out .= '<div class="single_product">';
                                $out .= '<div class="product_thumb">';

									if (  $stock != '' ) :

										$out .= '<a href="'. esc_url( get_permalink( $product->id ) ) . '">';

									endif;

										$out .= ''.$image.'';

									if (  $stock != '' ) :

										$out .= '</a>';

									endif;

                                    $out .= '<!-- Add to Cart Area Start -->';
                                    $out .= '<div class="add_to_cart_info">';

                                        $out .= '<!-- Compare -->';
                                        $out .= '<div class="compare">';
                                            $out .= '<a href="'. $add_to_url .'"><i class="icofont icofont-random"></i></a>';
                                        $out .= '</div>';

                                        $out .= '<!-- Add to cart button -->';
                                        $out .= '<div class="add_to_cart_button">';
                                            $out .= '<a href="'. $add_to_url .'">'. $add_to_text .'</a>';
                                        $out .= '</div>';

                                        $out .= '<!-- Favourite -->';
                                        $out .= '<div class="favourite">';
                                            $out .= '<a href="'. $add_to_url .'"><i class="icofont icofont-heart-alt"></i></a>';
                                        $out .= '</div>';

                                    $out .= '</div>';
                                $out .= '</div>';

                                $out .= '<div class="single_product_info text-center">';

                                    $out .= '<h4>';

										if (  $stock != '' )  :
											$out .= '<a href="'. esc_url( get_permalink( $product->id ) ) . '">';
										endif;
											$out .= ''. $p_title .'';
										if (  $stock != '' )  :
											$out .= '</a>';
										endif;

									$out .= '</h4>';

                                    $out .= '<p class="price">'. $regular .'</p>';
                                $out .= '</div>';
                            $out .= '</div>';
						endwhile;
						endif;
						ob_get_clean();
						wp_reset_postdata();
					}

                        $out .= '</div>';
                    $out .= '</div>';
                $out .= '</div>';
            $out .= '</div>';
        $out .= '</div>';
    $out .= '</section>';

	return $out;
}
add_shortcode('nt_blue_section_product_list', 'theme_nt_blue_section_product_list');
